// Copyright 2015 Keybase, Inc. All rights reserved. Use of
// this source code is governed by the included BSD license.

package libkb

import (
	"testing"
)

var gabrielSecret = `
-----BEGIN PGP PRIVATE KEY BLOCK-----
Comment: GPGTools - http://gpgtools.org

[encoded data, 6565 characters]
/Y/D4QIqNuxWnzGqfonDRyXkeUXhY/g=
=o3ce
-----END PGP PRIVATE KEY BLOCK-----
`

var allKeys = []string{
	gabrielSecret,
}

func TestParseKeys(t *testing.T) {
	for _, k := range allKeys {
		_, _, err := ReadOneKeyFromString(k)
		if err != nil {
			t.Fatal(err)
		}
	}
}
